package com.fjhx.service.abnormal;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.abnormal.AbnormalInfo;
import com.fjhx.params.abnormal.AbnormalInfoVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 * 异常记录 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-12-09
 */
public interface AbnormalInfoService extends BaseService<AbnormalInfo> {

    Page<AbnormalInfo> getPage(Map<String, Object> condition);

    void add(AbnormalInfoVo abnormalInfoVo);

    void edit(AbnormalInfoVo abnormalInfoVo);

    void delete(AbnormalInfoVo abnormalInfoVo);

}
